[lfs-fr] [BLFS-EN] r10112

Robot myou72 at orange.fr
Mar 8 Mai 10:00:21 PDT 2012


Révision 10112

fichiers modifiés :
   introduction/welcome/changelog.xml
   postlfs/security/accountsservice.xml
   postlfs/security/polkit.xml
   general.ent
   gnome/add/anjuta.xml
   gnome/core/polkit-gnome.xml
   TODO
   x/lib/gtk+3.xml
   general/sysutils/upower.xml
   general/sysutils/udisks2.xml
   general/genlib/glib2.xml

Log :
accountsservice 0.6.20, anjuta 3.4.1, glib 2.32.2, gtk+ 3.4.2, polkit 0.105, polkit-gnome 0.105, udisks 1.96.0, upower 0.9.16

Le robot a traité 0 % du commit anglais.

Index: TODO
===================================================================
--- TODO	(revision 10111)
+++ TODO	(revision 10112)
@@ -1,20 +1,12 @@
 User: krejzi
 
-  * accountsservice-0.6.20
-  * anjuta-3.4.1
   * clutter-1.10.4
   * dconf-0.12.1
   * glade-3.12.1
-  * glib-2.32.2
   * gnome-contacts-3.4.1
   * gnutls-3.0.19
-  * gtk+-3.4.2
   * gupnp-0.18.3
   * libdvdcss-1.2.12
-  * polkit-0.105
-  * polkit-gnome-0.105
   * spice-gtk-0.12
   * telepathy-glib-0.18.1
   * tracker-0.14.1
-  * udisks-1.96.0
-  * upower-0.9.16

Index: general.ent
===================================================================
--- general.ent	(revision 10111)
+++ general.ent	(revision 10112)
@@ -110,7 +110,7 @@
 
 {!-- Chapter 4 --}
 
-{!ENTITY accountsservice-version      "0.6.15"}
+{!ENTITY accountsservice-version      "0.6.20"}
 {!ENTITY acl-version                  "2.2.51"}
 {!ENTITY attr-version                 "2.4.46"}
 {!ENTITY consolekit-version           "0.4.5"}
@@ -133,7 +133,7 @@
 {!ENTITY gnutls-version               "3.0.17"}
 {!ENTITY linux-pam-version            "1.1.5"}
 {!ENTITY p11-kit-version              "0.12"}
-{!ENTITY polkit-version               "0.104"}
+{!ENTITY polkit-version               "0.105"}
 {!ENTITY shadow-version               "4.1.5"}
 {!ENTITY stunnel-version              "4.52"}
 {!ENTITY sudo-version                 "1.8.4p4"}
@@ -180,7 +180,7 @@
 {!ENTITY libxml2-version              "2.7.8"}
 {!ENTITY libxslt-version              "1.1.26"}
 {!ENTITY libgtkhtml-version           "2.11.1"}
-{!ENTITY glib2-version                "2.32.1"}
+{!ENTITY glib2-version                "2.32.2"}
 {!ENTITY dbus-glib-version            "0.98"}
 {!ENTITY glibmm-version               "2.32.0"}
 {!ENTITY libidl-version               "0.8.14"}
@@ -333,11 +333,11 @@
 {!ENTITY dbus-version                 "1.4.20"}
 {!-- {!ENTITY hal-version                  "0.5.14"} --}
 {!ENTITY udev-version                 "Installed LFS Version"}
-{!ENTITY upower-version               "0.9.15"}
+{!ENTITY upower-version               "0.9.16"}
 {!ENTITY sg3_utils-version            "1.29"}
 {!ENTITY parted-version               "3.1"}
 {!ENTITY udisks-version               "1.0.1"}
-{!ENTITY udisks2-version              "1.94.0"}
+{!ENTITY udisks2-version              "1.96.0"}
 {!ENTITY eject-version                "2.1.5"}
 {!ENTITY gvfs-version                 "1.12.2"}
 {!ENTITY unrar-version                "4.1.1"}
@@ -635,7 +635,7 @@
 {!ENTITY gdk-pixbuf-version           "2.26.1"}
 {!ENTITY gtk2-version                 "2.24.10"}
 {!ENTITY gtk2-libdir                  "2.0/2.10.0"}
-{!ENTITY gtk3-version                 "3.4.1"}
+{!ENTITY gtk3-version                 "3.4.2"}
 {!ENTITY gtk-engines-version          "2.20.1"}
 {!ENTITY gtkmm2-version               "2.24.2"}
 {!ENTITY gtkmm3-version               "3.4.0"}
@@ -736,7 +736,7 @@
 {!ENTITY libpeas-version              "1.4.0"}
 {!ENTITY libwacom-version             "0.4"}
 {!ENTITY libwnck-version              "3.4.0"}
-{!ENTITY polkit-gnome-version         "0.104"}
+{!ENTITY polkit-gnome-version         "0.105"}
 {!ENTITY seed-version                 "3.2.0"}
 {!ENTITY totem-pl-parser-version      "3.4.1"}
 {!ENTITY vte-version                  "0.32.1"}
@@ -799,7 +799,7 @@
 {!-- Applications --}
 {!ENTITY accerciser-version           "3.4.1"}
 {!ENTITY aisleriot-version            "3.4.1"}
-{!ENTITY anjuta-version               "3.4.0"}
+{!ENTITY anjuta-version               "3.4.1"}
 {!ENTITY cheese-version               "3.4.1"}
 {!ENTITY devhelp-version              "3.4.1"}
 {!ENTITY evolution-version            "3.4.1"}

Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision 10111)
+++ general/genlib/glib2.xml	(revision 10112)
@@ -6,9 +6,9 @@
 
   {!ENTITY glib2-download-http "&gnome-download-http;/glib/2.32/glib-&glib2-version;.tar.xz"}
   {!ENTITY glib2-download-ftp  "&gnome-download-ftp;/glib/2.32/glib-&glib2-version;.tar.xz"}
-  {!ENTITY glib2-md5sum        "032c7cf9868c9aa186b490b155a41144"}
+  {!ENTITY glib2-md5sum        "5bfdb6197afb90e4dbc7b1bb98f0eae0"}
   {!ENTITY glib2-size          "5.9 MB"}
-  {!ENTITY glib2-buildsize     "170 MB"}
+  {!ENTITY glib2-buildsize     "180 MB"}
   {!ENTITY glib2-time          "1.2 SBU (additional 4.0 SBU to run the test suite)"}
 ]}
 
@@ -29,35 +29,46 @@
   {sect2 role="package"}
     {title}Introduction to GLib{/title}
 
-    {para}The {application}GLib{/application} package contains a low-level core
-    library. This is useful for providing data structure handling for C,
-    portability wrappers and interfaces for such runtime functionality as an
-    event loop, threads, dynamic loading, and an object system.{/para}
+    {para}
+      The {application}GLib{/application} package contains a low-level
+      libraries useful for providing data structure handling for C, portability 
+      wrappers and interfaces for such runtime functionality as an
+      event loop, threads, dynamic loading and an object system.
+    {/para}
 
     &lfs71_checked;
 
-    {!-- Compiled against PCRE, Python, and desktop-file-utils.
-         1 test failed (regex) --}
-
     {bridgehead renderas="sect3"}Package Information{/bridgehead}
     {itemizedlist spacing="compact"}
       {listitem}
-        {para}Download (HTTP): {ulink url="&glib2-download-http;"/}{/para}
+        {para}
+          Download (HTTP): {ulink url="&glib2-download-http;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download (FTP): {ulink url="&glib2-download-ftp;"/}{/para}
+        {para}
+          Download (FTP): {ulink url="&glib2-download-ftp;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download MD5 sum: &glib2-md5sum;{/para}
+        {para}
+          Download MD5 sum: &glib2-md5sum;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download size: &glib2-size;{/para}
+        {para}
+          Download size: &glib2-size;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated disk space required: &glib2-buildsize;{/para}
+        {para}
+          Estimated disk space required: &glib2-buildsize;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated build time: &glib2-time;{/para}
+        {para}
+          Estimated build time: &glib2-time;
+        {/para}
       {/listitem}
     {/itemizedlist}
 
@@ -82,19 +93,24 @@
       {xref linkend="gtk-doc"/}
     {/para}
 
-    {para}{application}Gamin{/application} requires
-    {application}GLib{/application} in order to compile; therefore, you must
-    first install {application}GLib{/application}, then compile
-    {application}Gamin{/application}, and recompile
-    {application}GLib{/application} against it.{/para}
+    {para}
+      {application}Gamin{/application} requires 
+      {application}GLib{/application} in order to compile; therefore, 
+      you must first install {application}GLib{/application}, 
+      then compile {application}Gamin{/application}, and recompile
+      {application}GLib{/application} against it.
+    {/para}
 
     {bridgehead renderas="sect4"}Additional Runtime Dependencies{/bridgehead}
-    {para role="optional"}Quoted directly from the {filename}INSTALL{/filename}
-    file; {quote}Some of the mimetype-related functionality in GIO requires the
-    {command}update-mime-database{/command} and
-    {command}update-desktop-database{/command} utilities{/quote}, which are part of
-    {xref linkend="shared-mime-info"/} and
-    {xref linkend="desktop-file-utils"/}, respectively.{/para}
+    {para role="optional"}
+      Quoted directly from the {filename}INSTALL{/filename} file; 
+      {quote}Some of the mimetype-related functionality in GIO requires the
+      {command}update-mime-database{/command} and
+      {command}update-desktop-database{/command} utilities{/quote}, 
+      which are part of
+      {xref linkend="shared-mime-info"/} and
+      {xref linkend="desktop-file-utils"/}, respectively.
+    {/para}
 
     {para condition="html" role="usernotes"}User Notes:
     {ulink url="&blfs-wiki;/glib2"/}{/para}
@@ -104,57 +120,68 @@
   {sect2 role="installation"}
     {title}Installation of GLib{/title}
 
-    {para}Install {application}GLib{/application} by running the following
-    commands:{/para}
+    {para}
+      Install {application}GLib{/application} by running the following
+      commands:
+    {/para}
 
-    {!-- This should be discussed as the instructions in the tarball give
-         many reasons why the internal PCRE should be used --}
-
-    {!-- Re: PCRE 8.30 is bundled, and BLFS has same version --}
-
 {screen}{userinput}PCRE_LIBS=-lpcre PCRE_CFLAGS=" " \
 LIBFFI_LIBS=-lffi LIBFFI_CFLAGS=" " \
 ./configure --prefix=/usr --sysconfdir=/etc --with-pcre=system &&
 make{/userinput}{/screen}
 
-    {para}The {application}GLib{/application} test suite requires
-    {application}desktop-file-utils{/application} in order to run. However,
-    {application}desktop-file-utils{/application} requires
-    {application}GLib{/application} in order to compile; therefore, you must
-    first install {application}GLib{/application} and then run the test
-    suite.{/para}
+    {para}
+      The {application}GLib{/application} test suite requires
+      {application}desktop-file-utils{/application} in order to run. However,
+      {application}desktop-file-utils{/application} requires
+      {application}GLib{/application} in order to compile; therefore, you must
+      first install {application}GLib{/application} and then run the test
+      suite.
+    {/para}
 
-    {para}Now, as the {systemitem class="username"}root{/systemitem} user:{/para}
+    {para}
+      Now, as the {systemitem class="username"}root{/systemitem} user:
+    {/para}
 
 {screen role="root"}{userinput}make install &&
 ln -v -sfn ../../lib/glib-2.0/include/glibconfig.h /usr/include/glib-2.0/glibconfig.h{/userinput}{/screen}
 
-    {para}You should now install {xref linkend="desktop-file-utils"/} and proceed to
-    run the test suite.{/para}
+    {para}
+      You should now install {xref linkend="desktop-file-utils"/} and proceed to
+      run the test suite.
+    {/para}
 
-    {para}To test the results, issue: {command}make check{/command}.{/para}
+    {para}
+      To test the results, issue: {command}make check{/command}.
+    {/para}
 
   {/sect2}
 
   {sect2 role="commands"}
     {title}Command Explanations{/title}
 
-    {para}PCRE_* and LIBFFI_*: {application}Glib{/application} is a prerequsite
-    for {application}pkg_config{/application}, but it wants to use
-    {application}pkg_config{/application} during the build process.  These
-    environment variables work around not having
-    {application}pkg_config{/application} available.{/para}
+    {para}
+      PCRE_* and LIBFFI_*: {application}Glib{/application} is a prerequsite
+      for {application}pkg-config{/application}, but it wants to use
+      {application}pkg-config{/application} during the build process.
+      These environment variables work around not having
+      {application}pkg-config{/application} available.
+    {/para}
 
-    {para}{command}ln -v -sfn ... glibconfig.h{/command}: Place a link to an
-    architecture dependent header file where programs can find it.{/para}
+    {para}
+      {command}ln -v -sfn ... glibconfig.h{/command}: Place a link to an
+      architecture dependent header file where programs can find it.
+    {/para}
 
-    {para}{parameter}--with-pcre=system{/parameter}: This parameter causes the
-    build to use a system-provided version of the
-    {application}PCRE{/application} library instead of an internal
-    version.{/para}
+    {para}
+      {parameter}--with-pcre=system{/parameter}: This parameter causes the
+      build to use a system-provided version of the
+      {application}PCRE{/application} library instead of an internal
+      version.
+    {/para}
 
     {xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/}
+      href="../../xincludes/gtk-doc-rebuild.xml"/}
 
   {/sect2}
 
@@ -167,14 +194,16 @@
     {sect3}
       {title}Configuration Information{/title}
 
-      {para}By default, {application}GLib{/application} assumes that all
-      filenames are in the UTF-8 charset. See the {xref
-      linkend="locale-wrong-filename-encoding"/} section of the {xref
-      linkend="locale-issues"/} page for more details on this kind of issue. In
-      order to tell {application}GLib{/application} and applications that use
-      it that filenames are in the default locale encoding, set the variable
-      {envar}G_FILENAME_ENCODING{/envar} to the value "@locale".  As the
-      {systemitem class="username"}root{/systemitem} user:{/para}
+      {para}
+        By default, {application}GLib{/application} assumes that all
+        filenames are in the UTF-8 charset. See the {xref
+        linkend="locale-wrong-filename-encoding"/} section of the {xref
+        linkend="locale-issues"/} page for more details on this kind of issue. In
+        order to tell {application}GLib{/application} and applications that use
+        it that filenames are in the default locale encoding, set the variable
+        {envar}G_FILENAME_ENCODING{/envar} to the value "@locale".  As the
+        {systemitem class="username"}root{/systemitem} user:
+      {/para}
 
 {screen role="root"}{userinput}cat > /etc/profile.d/glib2-locale.sh << "EOF"
 {literal}# Use the current locale charset for filenames
@@ -224,7 +253,9 @@
       {varlistentry id="gdbus"}
         {term}{command}gdbus{/command}{/term}
         {listitem}
-          {para}is a simple tool for working with D-Bus objects.{/para}
+          {para}
+            is a simple tool for working with D-Bus objects.
+          {/para}
           {indexterm zone="glib2 gdbus"}
             {primary sortas="b-gdbus"}gdbus{/primary}
           {/indexterm}
@@ -234,8 +265,10 @@
       {varlistentry id="gdbus-codegen"}
         {term}{command}gdbus-codegen{/command}{/term}
         {listitem}
-          {para}is used to generate code and/or documentation for one or 
-          more D-Bus interfaces.{/para}
+          {para}
+            is used to generate code and/or documentation for one or 
+            more {application}D-Bus{/application} interfaces.
+          {/para}
           {indexterm zone="glib2 gdbus-codegen"}
             {primary sortas="b-gdbus-codegen"}gdbus-codegen{/primary}
           {/indexterm}
@@ -245,9 +278,11 @@
       {varlistentry id="gio-querymodules"}
         {term}{command}gio-querymodules{/command}{/term}
         {listitem}
-          {para}is used to create a giomodule.cache file in the listed directories. 
-          This file lists the implemented extension points for each module that has
-          been found.{/para}
+          {para}
+            is used to create a giomodule.cache file in the listed directories. 
+            This file lists the implemented extension points for each module that has
+            been found.
+          {/para}
           {indexterm zone="glib2 gio-querymodules"}
             {primary sortas="b-gio-querymodules"}gio-querymodules{/primary}
           {/indexterm}
@@ -257,9 +292,11 @@
       {varlistentry id="glib-compile-resources"}
         {term}{command}glib-compile-resources{/command}{/term}
         {listitem}
-          {para}is used to read the resource description from file and 
-          the files that it references to create a binary resource 
-          bundle that is suitable for use with the GResource API.{/para}
+          {para}
+            is used to read the resource description from file and 
+            the files that it references to create a binary resource 
+            bundle that is suitable for use with the GResource API.
+          {/para}
           {indexterm zone="glib2 glib-compile-resources"}
             {primary sortas="b-glib-compile-resources"}glib-compile-resources{/primary}
           {/indexterm}
@@ -269,9 +306,11 @@
       {varlistentry id="glib-compile-schemas"}
         {term}{command}glib-compile-schemas{/command}{/term}
         {listitem}
-          {para}is used to compile all the GSettings XML schema files 
-          in directory into a binary file with the name gschemas.compiled 
-          that can be used by GSettings.{/para}
+          {para}
+            is used to compile all the GSettings XML schema files 
+            in directory into a binary file with the name gschemas.compiled 
+            that can be used by GSettings.
+          {/para}
           {indexterm zone="glib2 glib-compile-schemas"}
             {primary sortas="b-glib-compile-resources"}glib-compile-schemas{/primary}
           {/indexterm}
@@ -281,8 +320,9 @@
       {varlistentry id="glib-genmarshal"}
         {term}{command}glib-genmarshal{/command}{/term}
         {listitem}
-          {para}is a C code marshaller generation utility for GLib
-          closures.{/para}
+          {para}
+            is a C code marshaller generation utility for GLib closures.
+          {/para}
           {indexterm zone="glib2 glib-genmarshal"}
             {primary sortas="b-glib-genmarshal"}glib-genmarshal{/primary}
           {/indexterm}
@@ -292,8 +332,10 @@
       {varlistentry id="glib-gettextize"}
         {term}{command}glib-gettextize{/command}{/term}
         {listitem}
-          {para}is a variant of the {application}gettext{/application}
-          internationalization utility.{/para}
+          {para}
+            is a variant of the {application}gettext{/application}
+            internationalization utility.
+          {/para}
           {indexterm zone="glib2 glib-gettextize"}
             {primary sortas="b-glib-gettextize"}glib-gettextize{/primary}
           {/indexterm}
@@ -303,7 +345,9 @@
       {varlistentry id="glib-mkenums"}
         {term}{command}glib-mkenums{/command}{/term}
         {listitem}
-          {para}is a C language enum description generation utility.{/para}
+          {para}
+            is a C language enum description generation utility.
+          {/para}
           {indexterm zone="glib2 glib-mkenums"}
             {primary sortas="b-glib-mkenums"}glib-mkenums{/primary}
           {/indexterm}
@@ -313,7 +357,9 @@
       {varlistentry id="gobject-query"}
         {term}{command}gobject-query{/command}{/term}
         {listitem}
-          {para}is a small utility that draws a tree of types.{/para}
+          {para}
+            is a small utility that draws a tree of types.
+          {/para}
           {indexterm zone="glib2 gobject-query"}
             {primary sortas="b-gobject-query"}gobject-query{/primary}
           {/indexterm}
@@ -323,7 +369,9 @@
       {varlistentry id="gresource"}
         {term}{command}gresource{/command}{/term}
         {listitem}
-          {para}offers a simple commandline interface to GResource.{/para}
+          {para}
+            offers a simple commandline interface to GResource.
+          {/para}
           {indexterm zone="glib2 gresource"}
             {primary sortas="b-gresource"}gresource{/primary}
           {/indexterm}
@@ -333,7 +381,9 @@
       {varlistentry id="gsettings"}
         {term}{command}gsettings{/command}{/term}
         {listitem}
-          {para}offers a simple commandline interface to GSettings.{/para}
+          {para}
+            offers a simple commandline interface to GSettings.
+          {/para}
           {indexterm zone="glib2 gsettings"}
             {primary sortas="b-gsettings"}gsettings{/primary}
           {/indexterm}
@@ -343,7 +393,9 @@
       {varlistentry id="gtester"}
         {term}{command}gtester{/command}{/term}
         {listitem}
-          {para}is a test running utility.{/para}
+          {para}
+            is a test running utility.
+          {/para}
           {indexterm zone="glib2 gtester"}
             {primary sortas="b-gtester"}gtester{/primary}
           {/indexterm}
@@ -353,7 +405,9 @@
       {varlistentry id="gtester-report"}
         {term}{command}gtester-report{/command}{/term}
         {listitem}
-          {para}is a test report formatting utility.{/para}
+          {para}
+            is a test report formatting utility.
+          {/para}
           {indexterm zone="glib2 gtester-report"}
             {primary sortas="b-gtester-report"}gtester-report{/primary}
           {/indexterm}
@@ -363,8 +417,10 @@
       {varlistentry id="GLib-libraries"}
         {term}GLib libraries{/term}
           {listitem}
-          {para}contain a low-level core library for the
-          {application}GIMP{/application} Toolkit.{/para}
+          {para}
+            contain a low-level core libraries for the
+            {application}GIMP{/application} Toolkit.
+          {/para}
           {indexterm zone="glib2 GLib-libraries"}
             {primary sortas="c-GLib-libraries"}Glib libraries{/primary}
           {/indexterm}

Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision 10111)
+++ general/sysutils/udisks2.xml	(revision 10112)
@@ -6,9 +6,9 @@
 
   {!ENTITY udisks2-download-http "http://udisks.freedesktop.org/releases/udisks-&udisks2-version;.tar.bz2"}
   {!ENTITY udisks2-download-ftp  " "}
-  {!ENTITY udisks2-md5sum        "c2a3428227de0251ff9e204d17dd2130"}
-  {!ENTITY udisks2-size          "576 KB"}
-  {!ENTITY udisks2-buildsize     "26 MB"}
+  {!ENTITY udisks2-md5sum        "427a31f0d9056af79e44f0278844c8b9"}
+  {!ENTITY udisks2-size          "608 KB"}
+  {!ENTITY udisks2-buildsize     "30 MB"}
   {!ENTITY udisks2-time          "0.3 SBU"}
 ]}
 
@@ -81,9 +81,13 @@
       {xref linkend="udev"/}
     {/para}
 
+    {bridgehead renderas="sect4"}Optional (Required if building GNOME){/bridgehead}
+    {para role="optional"}
+      {xref linkend="gobject-introspection"/}
+    {/para}
+
     {bridgehead renderas="sect4"}Optional{/bridgehead}
     {para role="optional"}
-      {xref linkend="gobject-introspection"/} and
       {xref linkend="gtk-doc"/}
     {/para}
 
@@ -144,7 +148,8 @@
           libudisks2.so
         {/seg}
         {seg}
-          /usr/include/udisks2, /usr/lib/udisks2,
+          /usr/include/udisks2, 
+          /usr/lib/udisks2,
           /usr/share/gtk-doc/html/udisks2 and
           /var/lib/udisks2
         {/seg}
@@ -160,7 +165,8 @@
         {term}{command}udisksctl{/command}{/term}
         {listitem}
           {para}
-            is a command-line program used to interact with the udisksd daemon.
+            is a command-line program used to interact with the 
+            {command}udisksd{/command} daemon.
           {/para}
           {indexterm zone="udisks2 udisksctl"}
             {primary sortas="b-udisksctl"}udisksctl{/primary}
@@ -172,7 +178,7 @@
         {term}{command}udisksd{/command}{/term}
         {listitem}
           {para}
-            is the UDisks2 daemon itself.
+            is the {application}UDisks2{/application} daemon itself.
           {/para}
           {indexterm zone="udisks2 udisksd"}
             {primary sortas="b-udisksd"}udisksd{/primary}
@@ -184,7 +190,7 @@
         {term}{filename class="libraryfile"}libudisks2.so{/filename}{/term}
         {listitem}
           {para}
-            contains UDisks2 API functions.
+            contains {application}UDisks2{/application} API functions.
           {/para}
           {indexterm zone="udisks2 libudisks2"}
             {primary sortas="c-libudisks2"}libudisks2.so{/primary}

Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision 10111)
+++ general/sysutils/upower.xml	(revision 10112)
@@ -6,7 +6,7 @@
 
   {!ENTITY upower-download-http "http://upower.freedesktop.org/releases/upower-&upower-version;.tar.xz"}
   {!ENTITY upower-download-ftp  " "}
-  {!ENTITY upower-md5sum        "9503a853e894630e023ee244d295fd27"}
+  {!ENTITY upower-md5sum        "65030caf519b8a06856c12b6668a9f57"}
   {!ENTITY upower-size          "394 KB"}
   {!ENTITY upower-buildsize     "8.5 MB"}
   {!ENTITY upower-time          "0.2 SBU"}
@@ -29,32 +29,46 @@
   {sect2 role="package"}
     {title}Introduction to UPower{/title}
 
-    {para}The {application}UPower{/application} package provides an interface to
-    enumerating power devices, listening to device events and querying history
-    and statistics. Any application or service on the system can access the
-    org.freedesktop.UPower service via the system message bus.{/para}
+    {para}
+      The {application}UPower{/application} package provides an interface to
+      enumerating power devices, listening to device events and querying history
+      and statistics. Any application or service on the system can access the
+      org.freedesktop.UPower service via the system message bus.
+    {/para}
 
     &lfs70_checked;
 
     {bridgehead renderas="sect3"}Package Information{/bridgehead}
     {itemizedlist spacing="compact"}
       {listitem}
-        {para}Download (HTTP): {ulink url="&upower-download-http;"/}{/para}
+        {para}
+          Download (HTTP): {ulink url="&upower-download-http;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download (FTP): {ulink url="&upower-download-ftp;"/}{/para}
+        {para}
+          Download (FTP): {ulink url="&upower-download-ftp;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download MD5 sum: &upower-md5sum;{/para}
+        {para}
+          Download MD5 sum: &upower-md5sum;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download size: &upower-size;{/para}
+        {para}
+          Download size: &upower-size;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated disk space required: &upower-buildsize;{/para}
+        {para}
+          Estimated disk space required: &upower-buildsize;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated build time: &upower-time;{/para}
+        {para}
+          Estimated build time: &upower-time;
+        {/para}
       {/listitem}
     {/itemizedlist}
 
@@ -86,8 +100,10 @@
   {sect2 role="installation"}
     {title}Installation of UPower{/title}
 
-    {para}Install {application}UPower{/application} by running the following
-    commands:{/para}
+    {para}
+      Install {application}UPower{/application} by running the following
+      commands:
+    {/para}
 
 {screen}{userinput}./configure --prefix=/usr \
             --sysconfdir=/etc \
@@ -96,9 +112,13 @@
             --disable-static &&
 make{/userinput}{/screen}
 
-    {para}To test the results, issue: {command}make check{/command}.{/para}
+    {para}
+      To test the results, issue: {command}make check{/command}.
+    {/para}
 
-    {para}Now, as the {systemitem class="username"}root{/systemitem} user:{/para}
+    {para}
+      Now, as the {systemitem class="username"}root{/systemitem} user:
+    {/para}
 
 {screen role="root"}{userinput}make install{/userinput}{/screen}
 
@@ -108,21 +128,23 @@
     {title}Command Explanations{/title}
 
     {xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/static-libraries.xml"/}
+      href="../../xincludes/static-libraries.xml"/}
 
     {xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/}
+      href="../../xincludes/gtk-doc-rebuild.xml"/}
 
   {/sect2}
 
   {sect2 role="configuration"}
     {title}Configuring your kernel for UPower{/title}
 
-    {para}To use the command {command}upower -w{/command} for information about
-    processor wakeups (this command is used by {xref linkend="gnome-power-manager"/})
-    you need to enable CONFIG_TIMER_STATS.  This is achieved in
-    {command}make menuconfig{/command} by going to the 'kernel-hacking'
-    menu and selecting 'Collect kernel timers statistics'.{/para}
+    {para}
+      To use the command {command}upower -w{/command} for information about
+      processor wakeups (this command is used by {xref linkend="gnome-power-manager"/})
+      you need to enable CONFIG_TIMER_STATS.  This is achieved in
+      {command}make menuconfig{/command} by going to the 'kernel-hacking'
+      menu and selecting 'Collect kernel timers statistics'.
+    {/para}
 
   {/sect2}
   {sect2 role="content"}
@@ -155,8 +177,9 @@
       {varlistentry id="upower-prog"}
         {term}{command}upower{/command}{/term}
         {listitem}
-          {para}is the {application}UPower{/application} command line
-          tool.{/para}
+          {para}
+            is the {application}UPower{/application} command line tool.
+          {/para}
           {indexterm zone="upower upower-prog"}
             {primary sortas="b-upower"}upower{/primary}
           {/indexterm}
@@ -166,8 +189,10 @@
       {varlistentry id="upowerd"}
         {term}{command}upowerd{/command}{/term}
         {listitem}
-          {para}is the {application}UPower{/application} Daemon. It provides the
-          org.freedesktop.UPower service on the system message bus.{/para}
+          {para}
+            is the {application}UPower{/application} Daemon. It provides the
+            org.freedesktop.UPower service on the system message bus.
+          {/para}
           {indexterm zone="upower upowerd"}
             {primary sortas="b-upowerd"}upowerd{/primary}
           {/indexterm}
@@ -177,8 +202,9 @@
       {varlistentry id="libupower-glib"}
         {term}{filename class='libraryfile'}libupower-glib.so{/filename}{/term}
         {listitem}
-          {para}contains the {application}UPower{/application} API
-          functions.{/para}
+          {para}
+            contains the {application}UPower{/application} API functions.
+          {/para}
           {indexterm zone="upower libupower-glib"}
             {primary sortas="c-libupower-glib"}libupower-glib.so{/primary}
           {/indexterm}

Index: gnome/add/anjuta.xml
===================================================================
--- gnome/add/anjuta.xml	(revision 10111)
+++ gnome/add/anjuta.xml	(revision 10112)
@@ -6,7 +6,7 @@
 
   {!ENTITY anjuta-download-http "&gnome-download-http;/anjuta/3.4/anjuta-&anjuta-version;.tar.xz"}
   {!ENTITY anjuta-download-ftp  "&gnome-download-ftp;/anjuta/3.4/anjuta-&anjuta-version;.tar.xz"}
-  {!ENTITY anjuta-md5sum        "e28827506760020da27a8aee4c470989"}
+  {!ENTITY anjuta-md5sum        "e22c99823fedfe2b397c2f025f279c8f"}
   {!ENTITY anjuta-size          "5.9 MB"}
   {!ENTITY anjuta-buildsize     "212 MB"}
   {!ENTITY anjuta-time          "4.0 SBU"}
@@ -160,10 +160,13 @@
           libanjuta-3.so
         {/seg}
         {seg}
-          /usr/include/libanjuta-3.0, /usr/lib/anjuta, /usr/share/anjuta,
+          /usr/include/libanjuta-3.0,
+          /usr/lib/anjuta,
+          /usr/share/anjuta,
           /usr/share/doc/anjuta,
           /usr/share/gnome/help/{anjuta-build-tutorial,anjuta-faqs,anjuta-manual},
-          /usr/share/gtk-doc/html/libanjuta and /usr/share/pixmaps/anjuta
+          /usr/share/gtk-doc/html/libanjuta and
+          /usr/share/pixmaps/anjuta
         {/seg}
       {/seglistitem}
     {/segmentedlist}
@@ -177,7 +180,8 @@
         {term}{command}anjuta{/command}{/term}
         {listitem}
           {para}
-            is the GNOME Integrated Development Environment.
+            is the {application}GNOME{/application} Integrated 
+            Development Environment.
           {/para}
           {indexterm zone="anjuta anjuta-prog"}
             {primary sortas="b-anjuta-prog"}anjuta{/primary}
@@ -189,8 +193,9 @@
         {term}{command}anjuta-launcher{/command}{/term}
         {listitem}
           {para}
-            is invoked by Anjuta to launch programs from within the IDE 
-            and to initialize a terminal for a debugging session.
+            is invoked by {application}Anjuta{/application} to 
+            launch programs from within the IDE  and to 
+            initialize a terminal for a debugging session.
           {/para}
           {indexterm zone="anjuta anjuta-launcher"}
             {primary sortas="b-anjuta-launcher"}anjuta-launcher{/primary}

Index: gnome/core/polkit-gnome.xml
===================================================================
--- gnome/core/polkit-gnome.xml	(revision 10111)
+++ gnome/core/polkit-gnome.xml	(revision 10112)
@@ -4,12 +4,14 @@
   {!ENTITY % general-entities SYSTEM "../../general.ent"}
   %general-entities;
 
-  {!ENTITY polkit-gnome-download-http "&gnome-download-http;/polkit-gnome/&polkit-gnome-version;/polkit-gnome-&polkit-gnome-version;.tar.xz"}
-  {!ENTITY polkit-gnome-download-ftp "&gnome-download-ftp;/polkit-gnome/&polkit-gnome-version;/polkit-gnome-&polkit-gnome-version;.tar.xz"}
-  {!ENTITY polkit-gnome-md5sum        "e1188c42fb61ec4ab3b26dde59145bca"}
+  {!ENTITY polkit-gnome-download-http 
+           "&gnome-download-http;/polkit-gnome/&polkit-gnome-version;/polkit-gnome-&polkit-gnome-version;.tar.xz"}
+  {!ENTITY polkit-gnome-download-ftp  
+           "&gnome-download-ftp;/polkit-gnome/&polkit-gnome-version;/polkit-gnome-&polkit-gnome-version;.tar.xz"}
+  {!ENTITY polkit-gnome-md5sum        "50ecad37c8342fb4a52f590db7530621"}
   {!ENTITY polkit-gnome-size          "305 KB"}
-  {!ENTITY polkit-gnome-buildsize     "4.5 MB"}
-  {!ENTITY polkit-gnome-time          "less than 0.1 SBU"}
+  {!ENTITY polkit-gnome-buildsize     "5.0 MB"}
+  {!ENTITY polkit-gnome-time          "0.1 SBU"}
 ]}
 
 {sect1 id="polkit-gnome" xreflabel="polkit-gnome-&polkit-gnome-version;"}
@@ -29,43 +31,56 @@
   {sect2 role="package"}
     {title}Introduction to polkit-gnome{/title}
 
-    {para}The {application}polkit-gnome{/application} package provides an
-    Authentication Agent for {application}polkit{/application} that integrates
-    well with the {application}GNOME{/application} desktop environment.{/para}
+    {para}
+      The {application}polkit-gnome{/application} package provides an
+      Authentication Agent for {application}polkit{/application} that integrates
+      well with the {application}GNOME{/application} desktop environment.
+    {/para}
 
     &lfs70_checked;
 
     {bridgehead renderas="sect3"}Package Information{/bridgehead}
     {itemizedlist spacing="compact"}
       {listitem}
-        {para}Download (HTTP): {ulink url="&polkit-gnome-download-http;"/}{/para}
+        {para}
+          Download (HTTP): {ulink url="&polkit-gnome-download-http;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download (FTP): {ulink url="&polkit-gnome-download-ftp;"/}{/para}
+        {para}
+          Download (FTP): {ulink url="&polkit-gnome-download-ftp;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download MD5 sum: &polkit-gnome-md5sum;{/para}
+        {para}
+          Download MD5 sum: &polkit-gnome-md5sum;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download size: &polkit-gnome-size;{/para}
+        {para}
+          Download size: &polkit-gnome-size;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated disk space required: &polkit-gnome-buildsize;{/para}
+        {para}
+          Estimated disk space required: &polkit-gnome-buildsize;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated build time: &polkit-gnome-time;{/para}
+        {para}
+          Estimated build time: &polkit-gnome-time;
+        {/para}
       {/listitem}
     {/itemizedlist}
 
     {bridgehead renderas="sect3"}polkit-gnome Dependencies{/bridgehead}
 
     {bridgehead renderas="sect4"}Required{/bridgehead}
-    {para role="required"}{xref linkend="gtk3"/} and
-    {xref linkend="polkit"/}{/para}
+    {para role="required"}
+      {xref linkend="gtk3"/} and
+      {xref linkend="polkit"/}
+    {/para}
 
-    {bridgehead renderas="sect4"}Optional{/bridgehead}
-    {para role="optional"}{xref linkend="gtk-doc"/}{/para}
-
     {para condition="html" role="usernotes"}User Notes:
     {ulink url="&blfs-wiki;/polkit-gnome"/}{/para}
 
@@ -74,51 +89,47 @@
   {sect2 role="installation"}
     {title}Installation of polkit-gnome{/title}
 
-    {para}Install {application}polkit-gnome{/application} by running the following
-    commands:{/para}
+    {para}
+      Install {application}polkit-gnome{/application} by running the following
+      commands:
+    {/para}
 
 {screen}{userinput}./configure --prefix=/usr \
-    --libexecdir=/usr/lib/polkit-gnome &&
+            --libexecdir=/usr/lib/polkit-gnome &&
 make{/userinput}{/screen}
 
-    {!-- technically, it does, but it only checks the xml translations --}
-    {para}This package does not come with a test suite.{/para}
+    {para}
+      This package does not come with a test suite.
+    {/para}
 
-    {para}Now, as the {systemitem class="username"}root{/systemitem} user:{/para}
+    {para}
+      Now, as the {systemitem class="username"}root{/systemitem} user:
+    {/para}
 
 {screen role="root"}{userinput}make install{/userinput}{/screen}
 
   {/sect2}
 
-  {sect2 role="commands"}
-    {title}Command Explanations{/title}
-
-    {xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/}
-
-  {/sect2}
-
   {sect2 role="configuration"}
     {title}Configuring polkit-gnome{/title}
 
-    {sect3 id="polkit-gnome-config"}
-
-      {title}Config Files{/title}
-
-      {para}{filename}none{/filename}{/para}
-
-    {/sect3}
-
     {sect3}
 
-      {title}Automatic startup{/title}
+      {title}Automatic Startup{/title}
 
-      {para}For {application}polkit-gnome{/application} to work correctly, 
-      it needs to be started on user logon.{/para}
+      {para}
+        For the authentification framework to work,
+        {command}polkit-gnome-authentification-agent-1{/command} needs to be
+        started. However, {command}make install{/command} did not 
+        install startup file for the {application}polkit-gnome{/application} 
+        so you have to create it by yourself.
+      {/para}
 
-      {para}Issue the following commands as the 
-      {systemitem class="username"}root{/systemitem}user to create 
-      startup file for {application}polkit-gnome{/application}:{/para}
+      {para}
+        Issue the following commands as the 
+        {systemitem class="username"}root{/systemitem} user to create 
+        startup file for {application}polkit-gnome{/application}:
+     {/para}
 
 {screen role="root"}{userinput}mkdir -p /etc/xdg/autostart &&
 cat > /etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop << "EOF"
@@ -143,13 +154,15 @@
 
     {segmentedlist}
       {segtitle}Installed Program{/segtitle}
-      {segtitle}Installed Library{/segtitle}
-      {segtitle}Installed Directories{/segtitle}
+      {segtitle}Installed Directory{/segtitle}
 
       {seglistitem}
-        {seg}polkit-gnome-authentication-agent-1{/seg}
-        {seg}none{/seg}
-        {seg}/usr/lib/polkit-gnome{/seg}
+        {seg}
+          polkit-gnome-authentication-agent-1
+        {/seg}
+        {seg}
+          /usr/lib/polkit-gnome
+        {/seg}
       {/seglistitem}
     {/segmentedlist}
 
@@ -161,7 +174,9 @@
       {varlistentry id="polkit-gnome-authentication-agent-1"}
         {term}{command}polkit-gnome-authentication-agent-1{/command}{/term}
         {listitem}
-          {para}is the polkit-gnome authentication agent.{/para}
+          {para}
+            is the {application}polkit-gnome{/application} authentication agent.
+          {/para}
           {indexterm zone="polkit-gnome polkit-gnome-authentication-agent-1"}
             {primary
             sortas="b-polkit-gnome-authentication-agent-1"}polkit-gnome-authentication-agent-1{/primary}

Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 10111)
+++ introduction/welcome/changelog.xml	(revision 10112)
@@ -53,6 +53,30 @@
         {listitem}
           {para}[bdubbs] - Updated to junit-4.10.{/para}
         {/listitem}
+        {listitem}
+          {para}[krejzi] - AccountsService 0.6.20.{/para}
+        {/listitem}
+        {listitem}
+          {para}[krejzi] - Anjuta 3.4.1.{/para}
+        {/listitem}
+        {listitem}
+          {para}[krejzi] - GLib 2.32.2.{/para}
+        {/listitem}
+        {listitem}
+          {para}[krejzi] - GTK+ 3.4.2.{/para}
+        {/listitem}
+        {listitem}
+          {para}[krejzi] - polkit 0.105.{/para}
+        {/listitem}
+        {listitem}
+          {para}[krejzi] - polkit-gnome 0.105.{/para}
+        {/listitem}
+        {listitem}
+          {para}[krejzi] - UDisks2 1.96.0.{/para}
+        {/listitem}
+        {listitem}
+          {para}[krejzi] - UPower 0.9.16.{/para}
+        {/listitem}
       {/itemizedlist}
     {/listitem}
 

Index: postlfs/security/accountsservice.xml
===================================================================
--- postlfs/security/accountsservice.xml	(revision 10111)
+++ postlfs/security/accountsservice.xml	(revision 10112)
@@ -4,12 +4,13 @@
   {!ENTITY % general-entities SYSTEM "../../general.ent"}
   %general-entities;
 
-  {!ENTITY accountsservice-download-http "http://www.freedesktop.org/software/accountsservice/accountsservice-&accountsservice-version;.tar.xz"}
+  {!ENTITY accountsservice-download-http 
+           "http://www.freedesktop.org/software/accountsservice/accountsservice-&accountsservice-version;.tar.xz"}
   {!ENTITY accountsservice-download-ftp  " "}
-  {!ENTITY accountsservice-md5sum        "47b5af77b544528c02d82761bd574c09"}
-  {!ENTITY accountsservice-size          "280 KB"}
-  {!ENTITY accountsservice-buildsize     "6.0 MB"}
-  {!ENTITY accountsservice-time          "0.1 SBU"}
+  {!ENTITY accountsservice-md5sum        "e48d6ec8aec941d63753c1904dbf75a8"}
+  {!ENTITY accountsservice-size          "324 KB"}
+  {!ENTITY accountsservice-buildsize     "12 MB"}
+  {!ENTITY accountsservice-time          "0.3 SBU"}
 ]}
 
 {sect1 id="accountsservice" xreflabel="AccountsService-&accountsservice-version;"}
@@ -29,32 +30,46 @@
   {sect2 role="package"}
     {title}Introduction to AccountsService{/title}
 
-    {para}The {application}AccountsService{/application} package provides, a set
-    of {application}D-Bus{/application} interfaces for querying and manipulating
-    user account information, and an implementation of these interfaces based on
-    the usermod(8), useradd(8) and userdel(8) commands.{/para}
+    {para}
+      The {application}AccountsService{/application} package provides a set
+      of {application}D-Bus{/application} interfaces for querying and manipulating
+      user account information and an implementation of these interfaces based on
+      the usermod(8), useradd(8) and userdel(8) commands.
+    {/para}
 
-    &lfs70_built;
+    &lfs70_checked;
 
     {bridgehead renderas="sect3"}Package Information{/bridgehead}
     {itemizedlist spacing="compact"}
       {listitem}
-        {para}Download (HTTP): {ulink url="&accountsservice-download-http;"/}{/para}
+        {para}
+          Download (HTTP): {ulink url="&accountsservice-download-http;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download (FTP): {ulink url="&accountsservice-download-ftp;"/}{/para}
+        {para}
+          Download (FTP): {ulink url="&accountsservice-download-ftp;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download MD5 sum: &accountsservice-md5sum;{/para}
+        {para}
+          Download MD5 sum: &accountsservice-md5sum;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download size: &accountsservice-size;{/para}
+        {para}
+          Download size: &accountsservice-size;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated disk space required: &accountsservice-buildsize;{/para}
+        {para}
+          Estimated disk space required: &accountsservice-buildsize;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated build time: &accountsservice-time;{/para}
+        {para}
+          Estimated build time: &accountsservice-time;
+        {/para}
       {/listitem}
     {/itemizedlist}
 
@@ -62,7 +77,7 @@
 
     {bridgehead renderas="sect4"}Required{/bridgehead}
     {para role="required"}
-      {xref linkend="dbus-glib"/} and
+      {xref linkend="libxslt"/} and
       {xref linkend="polkit"/}
     {/para}
 
@@ -84,19 +99,25 @@
   {sect2 role="installation"}
     {title}Installation of AccountsService{/title}
 
-    {para}Install {application}AccountsService{/application} by running the following
-    commands:{/para}
+    {para}
+      Install {application}AccountsService{/application} by running the following
+      commands:
+    {/para}
 
 {screen}{userinput}./configure --prefix=/usr \
             --sysconfdir=/etc \
+            --localstatedir=/var \
             --libexecdir=/usr/lib/accountsservice \
-            --localstatedir=/var &&
+            --disable-static &&
 make{/userinput}{/screen}
 
-    {!-- actually, it's for the maintainer to check xml translations --}
-    {para}This package does not come with a test suite.{/para}
+    {para}
+      This package does not come with a test suite.
+    {/para}
 
-    {para}Now, as the {systemitem class="username"}root{/systemitem} user:{/para}
+    {para}
+      Now, as the {systemitem class="username"}root{/systemitem} user:
+    {/para}
 
 {screen role="root"}{userinput}make install{/userinput}{/screen}
 
@@ -105,18 +126,16 @@
   {sect2 role="commands"}
     {title}Command Explanations{/title}
 
-    {para}{parameter}--sysconfdir=/etc{/parameter}: This parameter installs the
-    configuration files into {filename class="directory"}/etc{/filename} instead
-    of {filename class="directory"}/usr/etc{/filename}.{/para}
+    {para}
+      {parameter}--libexecdir=/usr/lib/accountsservice{/parameter}: This
+      parameter causes the libexec files to be installed in the preferred location
+      of {filename class="directory"}/usr/lib/accountsservice{/filename} instead
+      of {filename class="directory"}/usr/libexec{/filename}.
+    {/para}
 
-    {para}{parameter}--libexecdir=/usr/lib/accountsservice{/parameter}: This
-    parameter causes the libexec files to be installed in the preferred location
-    of {filename class="directory"}/usr/lib/accountsservice{/filename} instead
-    of {filename class="directory"}/usr/libexec{/filename}.{/para}
+    {xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/}
 
-    {para}{option}--enable-static=no{/option}: This switch prevents the static
-    libraries being installed.{/para}
-
   {/sect2}
 
   {sect2 role="content"}
@@ -128,11 +147,17 @@
       {segtitle}Installed Directories{/segtitle}
 
       {seglistitem}
-        {seg}accounts-daemon{/seg}
-        {seg}libaccountsservice.{so,a}{/seg}
-        {seg}/usr/{include/accountsservice-1.0/act,lib/accountsservice,
-        share/locale/{bg_BG/LC_MESSAGES,fa_IR/LC_MESSAGES}},
-        /var/lib/AccountsService/{icons,users}{/seg}
+        {seg}
+          accounts-daemon
+        {/seg}
+        {seg}
+          libaccountsservice.so
+        {/seg}
+        {seg}
+          /usr/include/accountsservice-1.0,
+          /usr/lib/accountsservice and
+          /var/lib/AccountsService
+        {/seg}
       {/seglistitem}
     {/segmentedlist}
 
@@ -144,7 +169,9 @@
       {varlistentry id="accounts-daemon"}
         {term}{command}accounts-daemon{/command}{/term}
         {listitem}
-          {para}is the {application}AccountsService{/application} daemon.{/para}
+          {para}
+            is the {application}AccountsService{/application} daemon.
+          {/para}
           {indexterm zone="accountsservice accounts-daemon"}
             {primary sortas="b-accounts-daemon"}accounts-daemon{/primary}
           {/indexterm}
@@ -152,12 +179,13 @@
       {/varlistentry}
 
       {varlistentry id="libaccountsservice"}
-        {term}{filename class='libraryfile'}libaccountsservice.{so,a}{/filename}{/term}
+        {term}{filename class='libraryfile'}libaccountsservice.so{/filename}{/term}
         {listitem}
-          {para}contains the {application}AccountsService{/application} API
-          functions.{/para}
+          {para}
+            contains the {application}AccountsService{/application} API functions.
+          {/para}
           {indexterm zone="accountsservice libaccountsservice"}
-            {primary sortas="c-libaccountsservice"}libaccountsservice.{so,a}{/primary}
+            {primary sortas="c-libaccountsservice"}libaccountsservice.so{/primary}
           {/indexterm}
         {/listitem}
       {/varlistentry}

Index: postlfs/security/polkit.xml
===================================================================
--- postlfs/security/polkit.xml	(revision 10111)
+++ postlfs/security/polkit.xml	(revision 10112)
@@ -4,12 +4,13 @@
   {!ENTITY % general-entities SYSTEM "../../general.ent"}
   %general-entities;
 
-  {!ENTITY polkit-download-http "http://hal.freedesktop.org/releases/polkit-&polkit-version;.tar.gz"}
+  {!ENTITY polkit-download-http 
+           "http://www.freedesktop.org/software/polkit/releases/polkit-&polkit-version;.tar.gz"}
   {!ENTITY polkit-download-ftp  " "}
-  {!ENTITY polkit-md5sum        "e380b4c6fb1e7bccf854e92edc0a8ce1"}
+  {!ENTITY polkit-md5sum        "9c29e1b6c214f0bd6f1d4ee303dfaed9"}
   {!ENTITY polkit-size          "1.4 MB"}
-  {!ENTITY polkit-buildsize     "9 MB"}
-  {!ENTITY polkit-time          "0.3 SBU"}
+  {!ENTITY polkit-buildsize     "20 MB"}
+  {!ENTITY polkit-time          "0.5 SBU"}
 ]}
 
 {sect1 id="polkit" xreflabel="polkit-&polkit-version;"}
@@ -29,31 +30,45 @@
   {sect2 role="package"}
     {title}Introduction to polkit{/title}
 
-    {para}The {application}polkit{/application} package is an
-    application-level toolkit for defining and handling the policy that allows
-    unprivileged processes to speak to privileged processes.{/para}
+    {para}
+      The {application}polkit{/application} package is an application-level 
+      toolkit for defining and handling the policy that allows unprivileged 
+      users to speak to privileged processes.
+    {/para}
 
     &lfs70_checked;
 
     {bridgehead renderas="sect3"}Package Information{/bridgehead}
     {itemizedlist spacing="compact"}
       {listitem}
-        {para}Download (HTTP): {ulink url="&polkit-download-http;"/}{/para}
+        {para}
+          Download (HTTP): {ulink url="&polkit-download-http;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download (FTP): {ulink url="&polkit-download-ftp;"/}{/para}
+        {para}
+          Download (FTP): {ulink url="&polkit-download-ftp;"/}
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download MD5 sum: &polkit-md5sum;{/para}
+        {para}
+          Download MD5 sum: &polkit-md5sum;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Download size: &polkit-size;{/para}
+        {para}
+          Download size: &polkit-size;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated disk space required: &polkit-buildsize;{/para}
+        {para}
+          Estimated disk space required: &polkit-buildsize;
+        {/para}
       {/listitem}
       {listitem}
-        {para}Estimated build time: &polkit-time;{/para}
+        {para}
+          Estimated build time: &polkit-time;
+        {/para}
       {/listitem}
     {/itemizedlist}
 
@@ -80,8 +95,10 @@
     {/para}
 
     {note}
-      {para}If {xref linkend="libxslt"/} is installed then {xref
-      linkend="DocBook"/} and {xref linkend="docbook-xsl"/} are required.{/para}
+      {para}
+        If {xref linkend="libxslt"/} is installed then {xref linkend="DocBook"/} 
+        and {xref linkend="docbook-xsl"/} are required.
+      {/para}
     {/note}
 
     {para condition="html" role="usernotes"}User Notes:
@@ -92,17 +109,26 @@
   {sect2 role="installation"}
     {title}Installation of polkit{/title}
 
-    {para}Install {application}polkit{/application} by running the following
-    commands as an unprivileged user:{/para}
+    {para}
+      Install {application}polkit{/application} by running the following
+      commands as an unprivileged user:
+    {/para}
 
-{screen}{userinput}./configure --prefix=/usr --sysconfdir=/etc \
-            --localstatedir=/var --libexecdir=/usr/lib/polkit-1 \
-            --with-authfw=shadow &&
+{screen}{userinput}./configure --prefix=/usr \
+            --sysconfdir=/etc \
+            --localstatedir=/var \
+            --libexecdir=/usr/lib/polkit-1 \
+            --with-authfw=shadow \
+            --disable-static &&
 make{/userinput}{/screen}
 
-    {para}This package does not come with a test suite.{/para}
+    {para}
+      This package does not come with a test suite.
+    {/para}
 
-    {para}Now, as the {systemitem class="username"}root{/systemitem} user:{/para}
+    {para}
+      Now, as the {systemitem class="username"}root{/systemitem} user:
+    {/para}
 
 {screen role="root"}{userinput}make install{/userinput}{/screen}
 
@@ -111,16 +137,19 @@
   {sect2 role="commands"}
     {title}Command Explanations{/title}
 
-    {para}{parameter}--with-authfw=shadow{/parameter}: This parameter will use
-    the {application}Shadow{/application} rather than the
-    {application}Linux-PAM{/application} Authentication framework. Remove it if
-    you would like to use {application}Linux-PAM{/application}.{/para}
-    {para}{parameter}--disable-static{/parameter}: This will prevent the static 
-    libraries from being built.{/para}
+    {para}
+      {parameter}--with-authfw=shadow{/parameter}: This parameter will use
+      the {application}Shadow{/application} rather than the
+      {application}Linux-PAM{/application} Authentication framework. Remove it if
+      you would like to use {application}Linux-PAM{/application}.
+    {/para}
 
     {xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/}
+      href="../../xincludes/static-libraries.xml"/}
 
+    {xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/}
+
   {/sect2}
 
   {sect2 role="configuration"}
@@ -136,18 +165,22 @@
       {title}PAM Configuration{/title}
 
       {note}
-        {para}If you did not build {application}polkit{/application} with
-        {application}Linux PAM{/application} support, you can skip this section.
+        {para}
+          If you did not build {application}polkit{/application} with
+          {application}Linux PAM{/application} support, you can skip this section.
         {/para}
       {/note}
 
-      {para}If you built {application}polkit{/application} with 
-      {application}Linux PAM{/application} support, you will need to modify 
-      the pam configuration file which was installed by default to get 
-      {application}polkit{/application} to work correctly with BLFS.{/para}
+      {para}
+        If you have built {application}polkit{/application} with 
+        {application}Linux PAM{/application} support, you need to modify 
+        default PAM configuration file which was installed by default to get 
+        {application}polkit{/application} to work correctly with BLFS.
+      {/para}
 
-      {para}Issue the following commands as the {systemitem class="username"}root{/systemitem}
-      user to create the configuration file for {application}Linux PAM{/application}:
+      {para}
+        Issue the following commands as the {systemitem class="username"}root{/systemitem}
+        user to create the configuration file for {application}Linux PAM{/application}:
       {/para}
 
 {screen role="root"}{userinput}cat > /etc/pam.d/polkit-1 << "EOF"
@@ -174,12 +207,18 @@
       {segtitle}Installed Directories{/segtitle}
 
       {seglistitem}
-        {seg}pk-example-frobnicate, pkaction, pkcheck, pkexec,
-        polkit-agent-helper-1, and polkitd{/seg}
-        {seg}libnullbackend.{so,a}, libpolkit-agent-1.{so,a},
-        libpolkit-backend-1.{so,a} and libpolkit-gobject-1.{so,a}{/seg}
-	{seg}/etc/polkit-1, /usr/include/polkit-1, /usr/lib/polkit-1, 
-	/usr/share/polkit-1 and /var/lib/polkit-1{/seg}
+        {seg}
+          pk-example-frobnicate, pkaction, pkcheck, pkexec,
+          pkttyagent and polkitd
+        {/seg}
+        {seg}
+          libpolkit-agent-1.so, libpolkit-backend-1.so and 
+          libpolkit-gobject-1.so
+        {/seg}
+	{seg}
+          /etc/polkit-1, /usr/include/polkit-1, /usr/lib/polkit-1, 
+	  /usr/share/polkit-1 and /var/lib/polkit-1
+        {/seg}
       {/seglistitem}
     {/segmentedlist}
 
@@ -191,7 +230,9 @@
 {!--  {varlistentry id="pk-example-frobnicate"}
         {term}{command}pk-example-frobnicate{/command}{/term}
         {listitem}
-          {para}does this .....{/para}
+          {para}
+            does this .....
+          {/para}
           {indexterm zone="polkit pk-example-frobnicate"}
             {primary sortas="b-pk-example-frobnicate"}pk-example-frobnicate{/primary}
           {/indexterm}
@@ -201,7 +242,9 @@
       {varlistentry id="pkaction"}
         {term}{command}pkaction{/command}{/term}
         {listitem}
-          {para}is used to obtain information about registered PolicyKit actions.{/para}
+          {para}
+            is used to obtain information about registered PolicyKit actions.
+          {/para}
           {indexterm zone="polkit pkaction"}
             {primary sortas="b-pkaction"}pkaction{/primary}
           {/indexterm}
@@ -211,7 +254,9 @@
       {varlistentry id="pkcheck"}
         {term}{command}pkcheck{/command}{/term}
         {listitem}
-          {para}is used to check whether a process is authorized for action.{/para}
+          {para}
+            is used to check whether a process is authorized for action.
+          {/para}
           {indexterm zone="polkit pkcheck"}
             {primary sortas="b-pkcheck"}pkcheck{/primary}
           {/indexterm}
@@ -221,73 +266,73 @@
       {varlistentry id="pkexec"}
         {term}{command}pkexec{/command}{/term}
         {listitem}
-          {para}allows an authorized user to execute a command as another user.{/para}
+          {para}
+            allows an authorized user to execute a command as another user.
+          {/para}
           {indexterm zone="polkit pkexec"}
             {primary sortas="b-pkexec"}pkexec{/primary}
           {/indexterm}
         {/listitem}
       {/varlistentry}
 
-{!--  {varlistentry id="polkit-agent-helper-1"}
-        {term}{command}polkit-agent-helper-1{/command}{/term}
+      {varlistentry id="pkttyagent"}
+        {term}{command}pkttyagent{/command}{/term}
         {listitem}
-          {para}does this .....{/para}
-          {indexterm zone="polkit polkit-agent-helper-1"}
-            {primary sortas="b-polkit-agent-helper-1"}polkit-agent-helper-1{/primary}
+          {para}
+            is used to start a textual authentication agent for the subject.
+          {/para}
+          {indexterm zone="polkit pkttyagent"}
+            {primary sortas="b-pkttyagent"}pkttyagent{/primary}
           {/indexterm}
         {/listitem}
-      {/varlistentry}--}
+      {/varlistentry}
 
       {varlistentry id="polkitd"}
         {term}{command}polkitd{/command}{/term}
         {listitem}
-          {para}provides the org.freedesktop.PolicyKit1
-          {application}D-Bus{/application} service on the system message bus.{/para}
+          {para}
+            provides the org.freedesktop.PolicyKit1 {application}D-Bus{/application} 
+            service on the system message bus.
+          {/para}
           {indexterm zone="polkit polkitd"}
             {primary sortas="b-polkitd"}polkitd{/primary}
           {/indexterm}
         {/listitem}
       {/varlistentry}
 
-      {varlistentry id="libnullbackend"}
-        {term}{filename class='libraryfile'}libnullbackend.{so,a}{/filename}{/term}
-        {listitem}
-          {para}PolicyKit null backend{/para}
-          {indexterm zone="polkit libnullbackend"}
-            {primary sortas="c-libnullbackend"}libnullbackend.{so,a}{/primary}
-          {/indexterm}
-        {/listitem}
-      {/varlistentry}
-
       {varlistentry id="libpolkit-agent-1"}
-        {term}{filename class='libraryfile'}libpolkit-agent-1.{so,a}{/filename}{/term}
+        {term}{filename class='libraryfile'}libpolkit-agent-1.so{/filename}{/term}
         {listitem}
-          {para}contains the {application}polkit{/application} authentication
-          agent API functions.{/para}
+          {para}
+            contains the {application}polkit{/application} authentication
+            agent API functions.
+          {/para}
           {indexterm zone="polkit libpolkit-agent-1"}
-            {primary sortas="c-libpolkit-agent-1"}libpolkit-agent-1.{so,a}{/primary}
+            {primary sortas="c-libpolkit-agent-1"}libpolkit-agent-1.so{/primary}
           {/indexterm}
         {/listitem}
       {/varlistentry}
 
       {varlistentry id="libpolkit-backend-1"}
-        {term}{filename class='libraryfile'}libpolkit-backend-1.{so,a}{/filename}{/term}
+        {term}{filename class='libraryfile'}libpolkit-backend-1.so{/filename}{/term}
         {listitem}
-          {para}contains the {application}polkit{/application} backend API
-          functions.{/para}
+          {para}
+            contains the {application}polkit{/application} backend API functions.
+          {/para}
           {indexterm zone="polkit libpolkit-backend-1"}
-            {primary sortas="c-libpolkit-backend-1"}libpolkit-backend-1.{so,a}{/primary}
+            {primary sortas="c-libpolkit-backend-1"}libpolkit-backend-1.so{/primary}
           {/indexterm}
         {/listitem}
       {/varlistentry}
 
       {varlistentry id="libpolkit-gobject-1"}
-        {term}{filename class='libraryfile'}libpolkit-gobject-1.{so,a}{/filename}{/term}
+        {term}{filename class='libraryfile'}libpolkit-gobject-1.so{/filename}{/term}
         {listitem}
-          {para}contains the {application}polkit{/application} authorization API
-          functions.{/para}
+          {para}
+            contains the {application}polkit{/application} authorization API functions.
+          {/para}
           {indexterm zone="polkit libpolkit-gobject-1"}
-            {primary sortas="c-libpolkit-gobject-1"}libpolkit-gobject-1.{so,a}{/primary}
+            {primary sortas="c-libpolkit-gobject-1"}libpolkit-gobject-1.so{/primary}
           {/indexterm}
         {/listitem}
       {/varlistentry}

Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 10111)
+++ x/lib/gtk+3.xml	(revision 10112)
@@ -4,17 +4,15 @@
   {!ENTITY % general-entities SYSTEM "../../general.ent"}
   %general-entities;
 
-  {!ENTITY gtk3-download-http
-  "&gnome-download-http;/gtk+/3.4/gtk+-&gtk3-version;.tar.xz"}
-  {!ENTITY gtk3-download-ftp
-  "&gnome-download-ftp;/gtk+/3.4/gtk+-&gtk3-version;.tar.xz"}
-  {!ENTITY gtk3-md5sum        "2cbf02394c2c42cc597405eadabcac3e"}
+  {!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/3.4/gtk+-&gtk3-version;.tar.xz"}
+  {!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/3.4/gtk+-&gtk3-version;.tar.xz"}
+  {!ENTITY gtk3-md5sum        "9e20443fbaa3ba3e9cbd2fc44d6be121"}
   {!ENTITY gtk3-size          "13 MB"}
-  {!ENTITY gtk3-buildsize     "330 MB"}
-  {!ENTITY gtk3-time          "2.9 SBU"}
+  {!ENTITY gtk3-buildsize     "325 MB"}
+  {!ENTITY gtk3-time          "2.8 SBU"}
 ]}
 
-{sect1 id="gtk3" xreflabel="gtk+-&gtk3-version;"}
+{sect1 id="gtk3" xreflabel="Gtk+-&gtk3-version;"}
   {?dbhtml filename="gtk3.html"?}
 
   {sect1info}
@@ -33,7 +31,7 @@
 
     {para}
       The {application}Gtk+ 3{/application} package contains
-      {application}Gtk+ 3{/application} libraries. These are used for creating
+      {application}Gtk+ 3{/application} libraries used for creating
       graphical user interfaces for applications.
     {/para}
 
@@ -103,6 +101,20 @@
   {sect2 role="installation"}
     {title}Installation of Gtk+ 3{/title}
 
+    {note}
+      {para}
+        {application}Gtk+ 3{/application} will overwrite
+        {command}gtk-update-icon-cache{/command} from
+        {xref linkend="gtk2"/} if it is installed. 
+        There is nothing wrong about that assuming
+        that both programs provide same functionality. 
+        If you wish to keep one from
+        {application}Gtk+ 2{/application} you can add
+        {option}--enable-gtk2-dependency{/option} to the
+        {command}configure{/command} command.
+      {/para}
+    {/note}
+
     {para}
       Install {application}Gtk+ 3{/application} by running the following
       commands:
@@ -130,7 +142,7 @@
     {title}Command Explanations{/title}
 
     {para}
-      {parameter}--disable-packagekit{/parameter}: This parameter disables use
+      {option}--disable-packagekit{/option}: This parameter disables use
       of PackageKit which isn't suitable for BLFS.
     {/para}
 
@@ -212,8 +224,10 @@
           libgailutil.so, libgdk-3.so and libgtk-3.so
         {/seg}
         {seg}
-          /etc/gtk-3.0, /usr/include/{gail-3.0,gtk-3.0},
-          /usr/lib/gtk-3.0, /usr/share/gtk-3.0 and
+          /etc/gtk-3.0, 
+          /usr/include/{gail-3.0,gtk-3.0},
+          /usr/lib/gtk-3.0, 
+          /usr/share/gtk-3.0 and
           /usr/share/gtk-doc/html/{gail-libgail-util3,gdk3,gtk3}
         {/seg}
       {/seglistitem}
@@ -304,5 +318,7 @@
         {/listitem}
       {/varlistentry}
     {/variablelist}
+
   {/sect2}
+
 {/sect1}




More information about the lfs-traducfr mailing list